SRU: backport rustc to 14.04 and 16.04

Bug #1667662 reported by Matthias Klose on 2017-02-24
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
binutils-2.26 (Ubuntu)
Trusty
Undecided
Unassigned
cmake3 (Ubuntu)
Trusty
Undecided
Unassigned
llvm-toolchain-3.9 (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
Xenial
Undecided
Unassigned
Yakkety
Undecided
Unassigned
llvm-toolchain-4.0 (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
Xenial
Undecided
Unassigned
Yakkety
Undecided
Unassigned
rustc (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
Xenial
Undecided
Unassigned
Yakkety
Undecided
Unassigned

Bug Description

newer firefox versions will require rust as a build dependency. Backport the recent rustc version and cmake, binutils, llvm versions from xenial to trusty. It looks like xenial is recent and only needs the llvm backport.

Chris Coulson (chrisccoulson) wrote :

In case it's not clear, rustc needs to exist in the security pocket for each release

Matthias Klose (doko) on 2017-02-27
no longer affects: binutils (Ubuntu)
no longer affects: binutils (Ubuntu Xenial)
no longer affects: binutils (Ubuntu Yakkety)
no longer affects: cmake (Ubuntu)
no longer affects: cmake (Ubuntu Xenial)
no longer affects: cmake (Ubuntu Yakkety)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package llvm-toolchain-3.9 - 1:3.9.1-4ubuntu3~16.10.1

---------------
llvm-toolchain-3.9 (1:3.9.1-4ubuntu3~16.10.1) yakkety-security; urgency=medium

  * SRU: LP: #1667662. Build for 16.10.

 -- Matthias Klose <email address hidden> Mon, 27 Feb 2017 10:48:02 +0100

Changed in llvm-toolchain-3.9 (Ubuntu Yakkety):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package rustc - 1.15.1+dfsg0-1~exp1ubuntu2~16.10.1

---------------
rustc (1.15.1+dfsg0-1~exp1ubuntu2~16.10.1) yakkety-security; urgency=medium

  * Rebuild using the rustc binaries in the PPA

rustc (1.15.1+dfsg0-1~exp1ubuntu1~16.10~1) yakkety; urgency=medium

  * SRU: LP: #1667662. Build for 16.04 LTS.

 -- Chris Coulson <email address hidden> Wed, 01 Mar 2017 08:36:25 +0000

Changed in rustc (Ubuntu Yakkety):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package rustc - 1.15.1+dfsg0-1~exp1ubuntu2~16.04.3

---------------
rustc (1.15.1+dfsg0-1~exp1ubuntu2~16.04.3) xenial-security; urgency=medium

  * Rebuild using the rustc binaries in the PPA

rustc (1.15.1+dfsg0-1~exp1ubuntu2~16.04~1) xenial; urgency=medium

  * SRU: LP: #1667662. Build for 16.04 LTS.

 -- Chris Coulson <email address hidden> Wed, 01 Mar 2017 08:45:01 +0000

Changed in rustc (Ubuntu Xenial):
status: New → Fix Released
Matthias Klose (doko) on 2017-06-15
affects: binutils (Ubuntu Trusty) → binutils-2.26 (Ubuntu Trusty)
Changed in binutils-2.26 (Ubuntu Trusty):
status: New → Fix Released
affects: cmake (Ubuntu Trusty) → cmake3 (Ubuntu Trusty)
Changed in cmake3 (Ubuntu Trusty):
status: New → Fix Released
Changed in llvm-toolchain-3.9 (Ubuntu Trusty):
status: New → Fix Released
Changed in llvm-toolchain-3.9 (Ubuntu Xenial):
status: New → Fix Released
Changed in llvm-toolchain-3.9 (Ubuntu):
status: New → Fix Released
Changed in rustc (Ubuntu Trusty):
status: New → Fix Released
Matthias Klose (doko) on 2017-06-15
Changed in rustc (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers